Bug 247755 - Virt-manager calls virDomainSuspend twice
Virt-manager calls virDomainSuspend twice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 05:38 EDT by Richard W.M. Jones
Modified: 2008-01-22 10:38 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-07-11 05:38:02 EDT
Description of problem:

When the Pause button above the console on a domain is pressed,
virt-manager appears to call the underlying virDomainSuspend
function twice in a row.

Report:
https://www.redhat.com/archives/libvir-list/2007-July/msg00119.html

The same thing may also be causing QEMU driver to fail:
https://www.redhat.com/archives/libvir-list/2007-July/msg00101.html

Version-Release number of selected component (if applicable):

libvirt 0.3.0-1.fc7
virt-manager (apparently 0.4.0-2.fc7)
Comment 1 Richard W.M. Jones 2007-07-11 08:30:31 EDT
More information:

I instrumented libvirt.py so that it printed out when suspend and resume
were being called.  In the main list-of-domains window, right clicking and
selecting "Pause" from the context menu calls the underlying virDomainSuspend
once.  Selecting "Resume" from the context menu calls virDomainResume once.

However, in the Details or Console windows, clicking the "Pause" toolbar
button calls virDomainSuspend _twice_, clicking again calls virDomainResume
just once.
Comment 2 Richard W.M. Jones 2007-07-11 09:38:59 EDT
I posted a patch upstream which fixes this:

https://www.redhat.com/archives/et-mgmt-tools/2007-July/msg00088.html
Comment 3 Daniel Berrange 2007-09-27 17:28:14 EDT
Fixed in 0.5.0 or later.
Comment 4 Fedora Update System 2008-01-11 17:26:52 EST
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager gtk-vnc python-virtinst virt-viewer'
Comment 5 Fedora Update System 2008-01-22 10:38:16 EST
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.